Debian Bug report logs - #407661
ITA: micro-httpd -- really small HTTP server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: daniel@debian.org

Date: Sat, 20 Jan 2007 11:48:23 UTC

Owned by: Jari Aalto <jari.aalto@cante.net>

Severity: normal

Fixed in version micro-httpd/20051212-5

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#407661; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: O: micro-httpd -- really small HTTP server
Date: Sat, 20 Jan 2007 12:26:57 +0100
Package: wnpp

I'm orphaning micro-httpd due to lack of interest in this package.

This package is in good shape and is trivial, makes it
ideal for any New Maintainer. In case a non-DD maintainer wants
to take this package over, I'll offer to sponsor it.

If there is no new maintainer within about two weeks, I'm going to
request its removal.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: micro-httpd
Priority: optional
Section: web
Installed-Size: 60
Maintainer: Daniel Baumann <daniel@debian.org>
Architecture: i386
Version: 20051212-3
Provides: httpd
Depends: libc6 (>= 2.3.6-6)
Suggests: micro-inetd, micro-proxy
Filename: pool/main/m/micro-httpd/micro-httpd_20051212-3_i386.deb
Size: 9106
MD5sum: 107eed58ae2ffb4b670ebf171d669165
SHA1: 95abf10dafd46bffbdf2dce6ca026804aad57ee3
SHA256: 3407575a88263d813e2c071f7cf3c511b4d0b77efa1f912da0fd2e7d0ca1802f
Description: really small HTTP server
 micro_httpd is a very small Unix-based HTTP server. It runs from inetd,
 which means its performance is poor. But for low-traffic sites, it's
 quite adequate.
 It implements all the basic features of an HTTP server, including:
 .
   * Security against ".." filename snooping.
   * The common MIME types.
   * Trailing-slash redirection.
   * index.html
   * Directory listings.
 .
 All in 150 lines of code.
 micro_httpd can also be used to serve HTTPS by wrapping it with stunnel.
Tag: admin::file-distribution, filetransfer::http, interface::daemon,
network::serv
er, protocol::http, role::program, scope::utility, security::TODO,
special::not-yet
-tagged, special::not-yet-tagged::m, web::server

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/






Changed Bug title. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 407661-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 407661-close@bugs.debian.org
Subject: Bug#407661: fixed in micro-httpd 20051212-5
Date: Sun, 11 Feb 2007 18:32:05 +0000
Source: micro-httpd
Source-Version: 20051212-5

We believe that the bug you reported is fixed in the latest version of
micro-httpd, which is due to be installed in the Debian FTP archive:

micro-httpd_20051212-5.diff.gz
  to pool/main/m/micro-httpd/micro-httpd_20051212-5.diff.gz
micro-httpd_20051212-5.dsc
  to pool/main/m/micro-httpd/micro-httpd_20051212-5.dsc
micro-httpd_20051212-5_i386.deb
  to pool/main/m/micro-httpd/micro-httpd_20051212-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated micro-httpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 25 Jan 2007 22:00:13 +0200
Source: micro-httpd
Binary: micro-httpd
Architecture: source i386
Version: 20051212-5
Distribution: unstable
Urgency: low
Maintainer: Jari Aalto <jari.aalto@cante.net>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 micro-httpd - really small HTTP server
Closes: 297450 407661
Changes: 
 micro-httpd (20051212-5) unstable; urgency=low
 .
   * New maintainer (Closes: #407661).
   * Added inetd installation (Closes: #297450).
   * debian/rules: install binary with same name as package.
Files: 
 fa6ac68fbe6c48d09966ff7ac85b884a 588 web optional micro-httpd_20051212-5.dsc
 c2a47f24140df5e987e59644cc07b77a 4451 web optional micro-httpd_20051212-5.diff.gz
 cd574fdfe845302ea34b3092c5932900 10538 web optional micro-httpd_20051212-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFz17Q+C5cwEsrK54RAk9yAJ0bWPYC9kn4lDwvj/xlNTIJv8BDJACcCcea
pkXmJiqcgvtykXwTpLUOM+0=
=V7wQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:03:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:12:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.